wl_display_listener Struct Reference
The wl_display interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | error )(void *data, struct wl_display *wl_display, void *object_id, uint32_t code, const char *message)
void(* | delete_id )(void *data, struct wl_display *wl_display, uint32_t id)

## Detailed Description

Definition at line 841 of file wayland-client-protocol.h.

## Field Documentation

## delete_id

void(* wl_display_listener::delete_id) (void *data, struct wl_display *wl_display, uint32_t id)

acknowledge object ID deletion

This event is used internally by the object ID management logic. When a client deletes an object, the server will send this event to acknowledge that it has seen the delete request. When the client receives this event, it will know that it can safely reuse the object ID.

Parameters

  id | deleted object ID

Definition at line 871 of file wayland-client-protocol.h.

## error

void(* wl_display_listener::error) (void *data, struct wl_display *wl_display, void *object_id, uint32_t code, const char *message)

fatal error event

The error event is sent out when a fatal (non-recoverable) error has occurred. The object_id argument is the object where the error occurred, most often in response to a request to that object. The code identifies the error and is defined by the object interface. As such, each interface defines its own set of error codes. The message is a brief description of the error, for (debugging) convenience.

Parameters

  object_id | object where the error occurred
  code | error code
  message | error description

Definition at line 856 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h